VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::SessionStub Class Reference

Remote stub implementation of the Session API service. More...

Inherits vmware::cis::Session.

List of all members.

## Public Member Functions
| SessionStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
char[] | Create ()
| Creates a session with the API.
char[] | Create (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a session with the API.
global::System.Threading.Tasks.Task < char[]> | CreateAsync ()
| Creates a session with the API.
global::System.Threading.Tasks.Task < char[]> | CreateAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a session with the API.
void | Delete ()
| Terminates the validity of a session token.
void | Delete (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Terminates the validity of a session token.
global::System.Threading.Tasks.Task | DeleteAsync ()
| Terminates the validity of a session token.
global::System.Threading.Tasks.Task | DeleteAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Terminates the validity of a session token.
vmware.cis.SessionTypes.Info | Get ()
| Returns information about the current session.
vmware.cis.SessionTypes.Info | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about the current session.
global::System.Threading.Tasks.Task < vmware.cis.SessionTypes.Info > | GetAsync ()
| Returns information about the current session.
global::System.Threading.Tasks.Task < vmware.cis.SessionTypes.Info > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about the current session.

## Detailed Description

Remote stub implementation of the Session API service.

## Constructor & Destructor Documentation

vmware::cis::SessionStub::SessionStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

char [] vmware::cis::SessionStub::Create | ( |  | ) | `[inline]`

Creates a session with the API.

This is the equivalent of login. This method exchanges user credentials supplied in the security context for a session identifier that is to be used for authenticating subsequent calls. To authenticate subsequent calls clients are expected to include the session key.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session creation fails due to request specific issues. Due to the security nature of the API the details of the error are not disclosed.

Please check the following preconditions if using a SAML token to authenticate:

- the supplied token is delegate-able.
- the time of client and server system are synchronized.
- the token supplied is valid.
- if bearer tokens are used check that system configuration allows the API endpoint to accept such tokens.

Exceptions:

  vmware.vapi.std.errors.ServiceUnavailable | if session creation fails due to server specific issues, for example connection to a back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Returns:
  Newly created session identifier to be used for authenticating further requests.

Implements vmware::cis::Session.

char [] vmware::cis::SessionStub::Create | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a session with the API.

This is the equivalent of login. This method exchanges user credentials supplied in the security context for a session identifier that is to be used for authenticating subsequent calls. To authenticate subsequent calls clients are expected to include the session key.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session creation fails due to request specific issues. Due to the security nature of the API the details of the error are not disclosed.

Please check the following preconditions if using a SAML token to authenticate:

- the supplied token is delegate-able.
- the time of client and server system are synchronized.
- the token supplied is valid.
- if bearer tokens are used check that system configuration allows the API endpoint to accept such tokens.

Exceptions:

  vmware.vapi.std.errors.ServiceUnavailable | if session creation fails due to server specific issues, for example connection to a back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Returns:
  Newly created session identifier to be used for authenticating further requests.

Implements vmware::cis::Session.

global::System.Threading.Tasks.Task<char[]> vmware::cis::SessionStub::CreateAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a session with the API.

This is the equivalent of login. This method exchanges user credentials supplied in the security context for a session identifier that is to be used for authenticating subsequent calls. To authenticate subsequent calls clients are expected to include the session key.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session creation fails due to request specific issues. Due to the security nature of the API the details of the error are not disclosed.

Please check the following preconditions if using a SAML token to authenticate:

- the supplied token is delegate-able.
- the time of client and server system are synchronized.
- the token supplied is valid.
- if bearer tokens are used check that system configuration allows the API endpoint to accept such tokens.

Exceptions:

  vmware.vapi.std.errors.ServiceUnavailable | if session creation fails due to server specific issues, for example connection to a back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Returns:
  Newly created session identifier to be used for authenticating further requests.

Implements vmware::cis::Session.

global::System.Threading.Tasks.Task<char[]> vmware::cis::SessionStub::CreateAsync | ( |  | ) | `[inline]`

Creates a session with the API.

This is the equivalent of login. This method exchanges user credentials supplied in the security context for a session identifier that is to be used for authenticating subsequent calls. To authenticate subsequent calls clients are expected to include the session key.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session creation fails due to request specific issues. Due to the security nature of the API the details of the error are not disclosed.

Please check the following preconditions if using a SAML token to authenticate:

- the supplied token is delegate-able.
- the time of client and server system are synchronized.
- the token supplied is valid.
- if bearer tokens are used check that system configuration allows the API endpoint to accept such tokens.

Exceptions:

  vmware.vapi.std.errors.ServiceUnavailable | if session creation fails due to server specific issues, for example connection to a back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Returns:
  Newly created session identifier to be used for authenticating further requests.

Implements vmware::cis::Session.

void vmware::cis::SessionStub::Delete | ( |  | ) | `[inline]`

Terminates the validity of a session token.

This is the equivalent of log out.

A session identifier is expected as part of the request.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if session deletion fails due to server specific issues, for example connection to a back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Implements vmware::cis::Session.

void vmware::cis::SessionStub::Delete | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Terminates the validity of a session token.

This is the equivalent of log out.

A session identifier is expected as part of the request.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if session deletion fails due to server specific issues, for example connection to a back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Implements vmware::cis::Session.

global::System.Threading.Tasks.Task vmware::cis::SessionStub::DeleteAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Terminates the validity of a session token.

This is the equivalent of log out.

A session identifier is expected as part of the request.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if session deletion fails due to server specific issues, for example connection to a back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Implements vmware::cis::Session.

global::System.Threading.Tasks.Task vmware::cis::SessionStub::DeleteAsync | ( |  | ) | `[inline]`

Terminates the validity of a session token.

This is the equivalent of log out.

A session identifier is expected as part of the request.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if session deletion fails due to server specific issues, for example connection to a back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Implements vmware::cis::Session.

vmware.cis.SessionTypes.Info vmware::cis::SessionStub::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about the current session.

This method expects a valid session identifier to be supplied.

A side effect of invoking this method may be a change to the session's last accessed time to the current time if this is supported by the session implementation. Invoking any other method in the API will also update the session's last accessed time.

This API is meant to serve the needs of various front end projects that may want to display the name of the user. Examples of this include various web based user interfaces and logging facilities.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if session retrieval fails due to server specific issues e.g. connection to back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Returns:
  Information about the session.

Implements vmware::cis::Session.

vmware.cis.SessionTypes.Info vmware::cis::SessionStub::Get | ( |  | ) | `[inline]`

Returns information about the current session.

This method expects a valid session identifier to be supplied.

A side effect of invoking this method may be a change to the session's last accessed time to the current time if this is supported by the session implementation. Invoking any other method in the API will also update the session's last accessed time.

This API is meant to serve the needs of various front end projects that may want to display the name of the user. Examples of this include various web based user interfaces and logging facilities.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if session retrieval fails due to server specific issues e.g. connection to back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Returns:
  Information about the session.

Implements vmware::cis::Session.

global::System.Threading.Tasks.Task<vmware.cis.SessionTypes.Info> vmware::cis::SessionStub::GetAsync | ( |  | ) | `[inline]`

Returns information about the current session.

This method expects a valid session identifier to be supplied.

A side effect of invoking this method may be a change to the session's last accessed time to the current time if this is supported by the session implementation. Invoking any other method in the API will also update the session's last accessed time.

This API is meant to serve the needs of various front end projects that may want to display the name of the user. Examples of this include various web based user interfaces and logging facilities.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if session retrieval fails due to server specific issues e.g. connection to back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Returns:
  Information about the session.

Implements vmware::cis::Session.

global::System.Threading.Tasks.Task<vmware.cis.SessionTypes.Info> vmware::cis::SessionStub::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about the current session.

This method expects a valid session identifier to be supplied.

A side effect of invoking this method may be a change to the session's last accessed time to the current time if this is supported by the session implementation. Invoking any other method in the API will also update the session's last accessed time.

This API is meant to serve the needs of various front end projects that may want to display the name of the user. Examples of this include various web based user interfaces and logging facilities.

Exceptions:

  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if session retrieval fails due to server specific issues e.g. connection to back end component is failing. Due to the security nature of this API further details will not be disclosed in the error. Please refer to component health information, administrative logs and product specific documentation for possible causes.

Returns:
  Information about the session.

Implements vmware::cis::Session.

The documentation for this class was generated from the following file:

- SessionStub.cs